Skip to content

Update one outbound email identity

PUT
/email-identities/{id}

Omit or send an empty smtp.auth_password to keep the existing password. Send clear_auth_password=true to remove it.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"name": "string",
  
"email": "string",
  
"signature": "string",
  
"clear_auth_password": true,
  
"smtp": {
  
  
"host": "string",
  
  
"port": 0,
  
  
"auth_user": "string",
  
  
"auth_password": "string",
  
  
"tls": true,
  
  
"ssl": true
  
}
}

Responses

OK

application/json
JSON
{
  
"identity": {
  
  
"_id": "string",
  
  
"project": "string",
  
  
"owner": "string",
  
  
"host_id": "string",
  
  
"name": "string",
  
  
"email": "string",
  
  
"signature": "string",
  
  
"smtp": {
  
  
  
"host": "string",
  
  
  
"port": 0,
  
  
  
"auth_user": "string",
  
  
  
"auth_password_configured": true,
  
  
  
"tls": true,
  
  
  
"ssl": true
  
  
},
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI